As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 633047 - Win64 reftest failures due to different hardware
: Win64 reftest failures due to different hardware
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla8
Assigned To: Makoto Kato [:m_kato]
:
:
Mentors:
Depends on: 629416 634581 671260
Blocks: tracking_win64
  Show dependency treegraph
 
Reported: 2011-02-09 17:23 PST by Makoto Kato [:m_kato]
Modified: 2011-07-19 08:17 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
shortened reftest log with images (600.86 KB, text/plain)
2011-02-09 21:02 PST, Timothy Nikkel (:tnikkel)
no flags Details
fix (4.28 KB, patch)
2011-06-22 01:07 PDT, Makoto Kato [:m_kato]
no flags Details | Diff | Splinter Review
fix (1.26 KB, patch)
2011-07-12 00:25 PDT, Makoto Kato [:m_kato]
ehsan: review+
Details | Diff | Splinter Review

Description User image Makoto Kato [:m_kato] 2011-02-09 17:23:18 PST
Since oscpu on Win64 is "Windows NT 6.1; Win64; x64", the following reftest seems to be failure.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1297266638.1297268897.4131.gz#err28

REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bidi/413928-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/289480.html#top | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579985-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/586683-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/gfx/tests/reftest/611498-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/image-element/element-paint-simple.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/image-element/element-paint-native-widget.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-1b.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-1c.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-1d.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-1e.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatey-1a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatey-1b.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatey-1c.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatey-1d.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatey-1e.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatex-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translatey-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translate-1b.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translate-1c.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translate-1d.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translate-1e.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/translate-2a.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/transform/descendant-1.html | image comparison (==)
Comment 1 User image Timothy Nikkel (:tnikkel) 2011-02-09 21:02:01 PST
Created attachment 511290 [details]
shortened reftest log with images
Comment 2 User image Makoto Kato [:m_kato] 2011-02-11 04:24:05 PST
It may be driver issue (it depends on test environment).  fail-if change is added by bug 629416.
Comment 3 User image Makoto Kato [:m_kato] 2011-04-25 03:18:48 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1303713838.1303715416.18964.gz

REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/379316-2.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/579985-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632423-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632781-verybig.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)
Comment 4 User image Makoto Kato [:m_kato] 2011-06-22 01:07:48 PDT
Created attachment 540990 [details] [diff] [review]
fix
Comment 5 User image Armen Zambrano - Back on March 27th [:armenzg] (EDT/UTC-4) 2011-07-11 11:56:16 PDT
What is the status of this bug?

If I updated the drivers of the Win7 64-bit machines would it solve this issue?
Comment 6 User image Makoto Kato [:m_kato] 2011-07-12 00:17:23 PDT
(In reply to comment #5)
> What is the status of this bug?

Current failures are the following.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1310429293.1310431158.15489.gz

REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/bugs/632423-1.html | image comparison (==)
REFTEST TEST-UNEXPECTED-PASS | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/font-features/font-features-turkish.html | image comparison (==)

I make sense the root cause of font-features-turkish.html.  I will fix this.
But I don't make sense the root cause of 632423-1.html yet.


> If I updated the drivers of the Win7 64-bit machines would it solve this
> issue?

I don't know about 632423-1.html.  But mochitest-1 and mochitest-4 will be fixed by upgrading hardware. These tests need D3D/D2D support.
Comment 7 User image Makoto Kato [:m_kato] 2011-07-12 00:25:37 PDT
Created attachment 545324 [details] [diff] [review]
fix
Comment 8 User image Armen Zambrano - Back on March 27th [:armenzg] (EDT/UTC-4) 2011-07-14 08:52:53 PDT
Hi,
Updating the drivers and DirectX on bug 671260 has reduced the perma-oranges to just mochitest-1 which I am going to check and see what the failures are and file them.

makoto would you say that this is fixed now by looking at the following URL?
http://tbpl.mozilla.org/?tree=Firefox&noignore=1&jobname=WINNT%206.1%20x64

If you look at the following URL you can see the last changeset that had the mochitest-4 and reftest failures:
http://tbpl.mozilla.org/?tree=Firefox&noignore=1&jobname=WINNT%206.1%20x&rev=931f06b80727

I have filed bug 671567 to deal with the remaining 16 webgl failures.
Comment 9 User image Makoto Kato [:m_kato] 2011-07-18 22:24:14 PDT
(In reply to comment #8)
> Hi,
> Updating the drivers and DirectX on bug 671260 has reduced the perma-oranges
> to just mochitest-1 which I am going to check and see what the failures are
> and file them.
> 
> makoto would you say that this is fixed now by looking at the following URL?
> http://tbpl.mozilla.org/?tree=Firefox&noignore=1&jobname=WINNT%206.1%20x64
> 
> If you look at the following URL you can see the last changeset that had the
> mochitest-4 and reftest failures:
> http://tbpl.mozilla.org/?tree=Firefox&noignore=1&jobname=WINNT%206.
> 1%20x&rev=931f06b80727
> 
> I have filed bug 671567 to deal with the remaining 16 webgl failures.

Maybe, others are ANGLE issue.  After landing ANGLE support, it may be fixed.
Comment 11 User image Armen Zambrano - Back on March 27th [:armenzg] (EDT/UTC-4) 2011-07-19 07:55:47 PDT
This got merged to central:
http://hg.mozilla.org/mozilla-central/rev/97e01c543d70

Note You need to log in before you can comment on or make changes to this bug.